Bug 50950 - modify calc functions WEEKNUM, WEEKNUM_ADD to comply with ODFF1.2
Summary: modify calc functions WEEKNUM, WEEKNUM_ADD to comply with ODFF1.2
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Winfried Donkers
QA Contact:
URL:
Whiteboard: odf target:5.1.0 target:5.2.0 target:...
Keywords:
Depends on:
Blocks: Calc-missing-functions
  Show dependency treegraph
 
Reported: 2012-06-10 23:09 UTC by Winfried Donkers
Modified: 2017-09-12 20:14 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
patch sofar, not yet ready for submitting (26.79 KB, patch)
2012-06-20 02:23 UTC, Winfried Donkers
Details
test document for WEEKNUM and ISOWEEKNUM (24.97 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-06-20 02:26 UTC, Winfried Donkers
Details
patch sofar, not ready to be committed (18.54 KB, patch)
2012-07-11 14:41 UTC, Winfried Donkers
Details
patch sofar, not ready to be committed (16.52 KB, patch)
2012-07-11 15:05 UTC, Winfried Donkers
Details
patch sofar, not ready to be committed (18.82 KB, patch)
2012-07-16 15:43 UTC, Winfried Donkers
Details
patch sofar, not intended for submitting (16.23 KB, text/plain)
2012-11-20 12:27 UTC, Winfried Donkers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers 2012-06-10 23:09:07 UTC
The current UI functions WEEKNUM and WEEKNUM_ADD dor not strictly comply with ODFF1.2 functions ISOWEEKNUM and WEEKNUM respectively.
I plan to correct this as suggested by Eike) by:
1 enhance UI WEEKNUM_ADD to support all ODF WEEKNUM modes
2 in the UI rename WEEKNUM to ISOWEEKNUM
3 change ISOWEEKNUM to accept only one parameter
4 during import's formula compile step for ISOWEEKNUM check if a second
  argument is provided
  a if so and if it is a constant value !=1 strip the argument (the
    Monday case that was and is real ISO 8601)
  b if it is a constant value ==1 map the function to WEEKNUM
    * there's a slight chance that a user wanted exactly the behavior
      "ISO but Sunday" resulting from the current undocumented
      implementation details, which isn't supported by ODF WEEKNUM
      definition, but I think that should be a very rare case, if at
      all, and is neglectable
  c if it is not a constant (i.e. computed) argument do nothing and let
    the interpreter complain about the second parameter
A possible fifth step could be to rename UI WEEKNUM_ADD to WEEKNUM, with the result that UI and ODF use the same function names.

This bug is a sub-bug of bug 50488
Comment 1 Winfried Donkers 2012-06-20 02:23:54 UTC
Created attachment 63254 [details]
patch sofar, not yet ready for submitting

attached diff file contains the functions WEEKNUM and ISOWEEKNUM (100% ODFF1.2 compliant).
The old WEEKNUM_ADD UI-function has been removed from analysis module.
Still missing is code to automatically convert old-style saved WEEKNUM or ISOWEEKNUM use in files.
Possibly something must be added to state whether MS Office or Lotus recognise WEEKNUM and ISOWEEKNUM (ODFF1.2).
Comment 2 Winfried Donkers 2012-06-20 02:26:38 UTC
Created attachment 63255 [details]
test document for WEEKNUM and ISOWEEKNUM

calc document contains calls of WEEKNUM with all possible mode options and calls of ISOWEEKNUM, for 7 22-day periods (each period a different weekday on january 1)
Comment 3 Eike Rathke 2012-06-22 06:54:19 UTC
Comment on attachment 63254 [details]
patch sofar, not yet ready for submitting

Review of attachment 63254 [details]:
-----------------------------------------------------------------

Overall, please retain the old Add-In getWeeknum() functionality for ODF 1.1 import/export and Excel interoperability. Add the new Mode arguments from ODFF.
In binary file format Excel expects WEEKNUM to be flagged as Add-In, so simply removing it from the corresponding tables will not do. We'd need another mechanism to treat this then.
So at the moment we'd end up with 3 functions (UI names), WEEKNUM, WEEKNUM_ADD and ISOWEEKNUM.
WEEKNUM and WEEKNUM_ADD would be saved as WEEKNUM in ODFF, and read from ODFF as internal WEEKNUM.
For how to map the internal WEEKNUM to the Add-In WEEKNUM_ADD during Excel export we'd have to see. When solved we then could also map the Add-In to internal WEEKNUM during Excel import and get rid of WEEKNUM_ADD, or map ODF WEEKNUM as Add-In WEEKNUM.

However, as lined out earlier on the mailing list I think easiest would be to just have the Add-In WEEKNUM_ADD implementation, remove the internal WEEKNUM implementation, rename WEEKNUM_ADD to WEEKNUM and add the internal ISOWEEKNUM implementation, so effectively we'd have 2 functions.
When reading ODF where ISOWEEKNUM has 2 parameters (as could have been saved with the current WEEKNUM implementation) map it to Add-In WEEKNUM if the second parameter is a constant 1. Remove the parameter if it is a constant other than 1 and keep function as ISOWEEKNUM. I'll go into detail about that on the mailing list.

For some detailed nitpicks see the diff's annotations.

::: formula/inc/formula/compiler.hrc
@@ +401,4 @@
>  #define SC_OPCODE_BITLSHIFT         399
>  #define SC_OPCODE_GET_DATEDIF       400
>  #define SC_OPCODE_XOR               401
> +#define SC_OPCODE_ISOWEEKNUM        402

As ISOWEEKNUM has exactly 1 parameter that should go before SC_OPCODE_STOP_1_PAR instead.

::: sc/inc/helpids.h
@@ -444,4 @@
>  #define HID_FUNC_JAHR                                           "SC_HID_FUNC_JAHR"
>  #define HID_FUNC_TAGE                                           "SC_HID_FUNC_TAGE"
>  #define HID_FUNC_DATEDIF                                        "SC_HID_FUNC_DATEDIF"
> -#define HID_FUNC_KALENDERWOCHE                                  "SC_HID_FUNC_KALENDERWOCHE"

Renaming a HID isn't such a good idea, help content depends on it. Better to just add the new HID. Or if you do rename IDs adapt also the references under helpcontent2/source/text/scalc/

However, when replacing the internal WEEKNUM with ISOWEEKNUM it would be good to remove HID_FUNC_KALENDERWOCHE and add HID_FUNC_ISOWEEKNUM and adapt helpcontent2 IDs and help text.

::: sc/source/core/tool/addinhelpid.cxx
@@ -138,4 @@
>      { "getTbilleq"                  , HID_AAI_FUNC_TBILLEQ          },
>      { "getTbillprice"               , HID_AAI_FUNC_TBILLPRICE       },
>      { "getTbillyield"               , HID_AAI_FUNC_TBILLYIELD       },
> -    { "getWeeknum"                  , HID_AAI_FUNC_WEEKNUM          },

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.

::: sc/source/core/tool/interpr2.cxx
@@ +229,4 @@
>  void ScInterpreter::ScGetWeekOfYear()
>  {
>      RTL_LOGFILE_CONTEXT_AUTHOR( aLogger, "sc", "er", "ScInterpreter::ScGetWeekOfYear" );
>      if ( MustHaveParamCount( GetByte(), 2 ) )

In ODFF the second parameter to WEEKNUM is optional.

::: sc/source/core/tool/odffmap.cxx
@@ -44,4 @@
>      { "WORKDAY", "WORKDAY", false, "com.sun.star.sheet.addin.Analysis.getWorkday", "COM.SUN.STAR.SHEET.ADDIN.ANALYSIS.GETWORKDAY" },
>      { "YEARFRAC", "YEARFRAC", false, "com.sun.star.sheet.addin.Analysis.getYearfrac", "COM.SUN.STAR.SHEET.ADDIN.ANALYSIS.GETYEARFRAC" },
>      { "EDATE", "EDATE", false, "com.sun.star.sheet.addin.Analysis.getEdate", "COM.SUN.STAR.SHEET.ADDIN.ANALYSIS.GETEDATE" },
> -    { "WEEKNUM", "WEEKNUM_ADD", false, "com.sun.star.sheet.addin.Analysis.getWeeknum", "COM.SUN.STAR.SHEET.ADDIN.ANALYSIS.GETWEEKNUM" },

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.

::: sc/source/filter/oox/formulabase.cxx
@@ -629,4 @@
>      { "ODDFPRICE",              "ODDFPRICE",            462,    NOID,   8,  9,  V, { RR }, FUNCFLAG_EXTERNAL },
>      { "ODDFYIELD",              "ODDFYIELD",            463,    NOID,   8,  9,  V, { RR }, FUNCFLAG_EXTERNAL },
>      { "RANDBETWEEN",            "RANDBETWEEN",          464,    NOID,   2,  2,  V, { RR }, FUNCFLAG_VOLATILE | FUNCFLAG_EXTERNAL },
> -    { "WEEKNUM",                "WEEKNUM",              465,    NOID,   1,  2,  V, { RR }, FUNCFLAG_EXTERNAL },

Do not remove for proper Excel interoperability.

@@ -750,4 @@
>      { "GAUSS",                  0,                      NOID,   NOID,   1,  1,  V, { VR }, FUNCFLAG_MACROCALLODF },
>      { "IFNA",                   0,                      NOID,   NOID,   2,  2,  V, { VR, RO }, FUNCFLAG_MACROCALLODF },
>      { "ISFORMULA",              0,                      NOID,   NOID,   1,  1,  V, { RO }, FUNCFLAG_MACROCALLODF },
> -    { "ISOWEEKNUM",             0,                      NOID,   NOID,   1,  2,  V, { VR }, FUNCFLAG_MACROCALLODF },

Do not remove here, Excel does not know ISOWEEKNUM yet.

::: sc/source/ui/src/scfuncs.src
@@ +1047,4 @@
>          };
>          String 5 // Description of Parameter 2
>          {
> +            Text [ en-US ] = "Indicates the first day of the week (1 or 11 = Sunday, 2 or 12 = Monday, 13 - 17 = Tuesday - Saturday. Week 1 is the week that contains January 1. Value 21 or 150 calculate according to ISO8601: first day of week is Monday and week 1 is the week where the first Thursday of the year occurs)." ;

Check if this lengthy text can be really displayed in the Function Wizard. I doubt it, especially when taking translations into account that form even longer texts. Longer explanations better go into help text.

@@ +1054,5 @@
> +    Resource SC_OPCODE_ISOWEEKNUM
> +    {
> +        String 1 // Description
> +        {
> +            Text [ en-US ] = "Calculates the ISO8601 calender week for the given date. ISO 8601 defines the calendar week as a time interval of seven calendar days starting with a Monday, and the first calendar week of a year as the one that includes the first Thursday of that year." ;

Check if this lengthy text can be really displayed in the Function Wizard. I doubt it, especially when taking translations into account that form even longer texts. Longer explanations better go into help text.

::: sc/util/hidother.src
@@ -114,4 @@
>  hidspecial HID_FUNC_JAHR         { HelpID = HID_FUNC_JAHR; };
>  hidspecial HID_FUNC_TAGE         { HelpID = HID_FUNC_TAGE; };
>  hidspecial HID_FUNC_DATEDIF      { HelpID = HID_FUNC_DATEDIF; };
> -hidspecial HID_FUNC_KALENDERWOCHE        { HelpID = HID_FUNC_KALENDERWOCHE; };

Do not rename HIDs, or if you do adapt also the references under helpcontent2/source/text/scalc/

::: scaddins/idl/com/sun/star/sheet/addin/XAnalysis.idl
@@ -70,5 @@
> -        long getWeeknum(
> -                    [in] com::sun::star::beans::XPropertySet xOptions,
> -                    [in] long nStartDate, [in] long nMode )
> -            raises( com::sun::star::lang::IllegalArgumentException );
> -

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.

::: scaddins/source/analysis/analysis.cxx
@@ -608,5 @@
> -
> -    return ( nDate - nFirstInYear + ( ( nMode == 1 )? ( nFirstDayInYear + 1 ) % 7 : nFirstDayInYear ) ) / 7 + 1;
> -}
> -
> -

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.
Instead, implement full ODFF WEEKNUM compliance here.

::: scaddins/source/analysis/analysis.hxx
@@ -126,4 @@
>      virtual sal_Int32 SAL_CALL  getWorkday( constREFXPS&, sal_Int32 nStartDate, sal_Int32 nDays, const ANY& aHDay ) THROWDEF_RTE_IAE;
>      virtual double SAL_CALL     getYearfrac( constREFXPS&, sal_Int32 nStartDate, sal_Int32 nEndDate, const ANY& aMode ) THROWDEF_RTE_IAE;
>      virtual sal_Int32 SAL_CALL  getEdate( constREFXPS&, sal_Int32 nStartDate, sal_Int32 nMonths ) THROWDEF_RTE_IAE;
> -    virtual sal_Int32 SAL_CALL  getWeeknum( constREFXPS&, sal_Int32 nStartDate, sal_Int32 nMode ) THROWDEF_RTE_IAE;

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.

::: scaddins/source/analysis/analysis.src
@@ -159,5 @@
> -        {
> -            Text [ en-US ] = "A number from 1 to 3 that specifies the day with which a week begins";
> -        };
> -    };
> -

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.

::: scaddins/source/analysis/analysis_deffuncnames.src
@@ -64,5 @@
> -            < "KALENDERWOCHE"; >;
> -            < "WEEKNUM"; >;
> -        };
> -    };
> -

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.

::: scaddins/source/analysis/analysis_funcnames.src
@@ -48,5 @@
> -    String ANALYSIS_FUNCNAME_Weeknum
> -    {
> -        Text [ en-US ] = "WEEKNUM";
> -    };
> -

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.

::: scaddins/source/analysis/analysishelper.cxx
@@ -57,4 @@
>      FUNCDATA( Workday,          UNIQUE,     INTPAR,     3,          FDCat_DateTime ),
>      FUNCDATA( Yearfrac,         UNIQUE,     INTPAR,     3,          FDCat_DateTime ),
>      FUNCDATA( Edate,            UNIQUE,     INTPAR,     2,          FDCat_DateTime ),
> -    FUNCDATA( Weeknum,          DOUBLE,     INTPAR,     2,          FDCat_DateTime ),

Do not remove the function from the Add-In, we need it to read/write ODF 1.1 and read older documents and for Excel interoperability.
Comment 4 Winfried Donkers 2012-07-11 14:41:07 UTC
Created attachment 64112 [details]
patch sofar, not ready to be committed

Attached diff file has all the comments Eike gave in his splinter review processed.
-A strange phenomenon occurs: neither formula WEEKNUM nor WEEKNUM_ADD is not recognised is core/sc/qa/unit/ucalc.cxx and when running, UI formula WEEKNUM is not known, but WEEKNUM_ADD is. I grepped what I could and search in opengrok, but I can't find any instance of the text WEEKNUM_ADD in my code. What am I doing wrong?
-processing of saved old-style use of WEEKNUM/WEEKNUM_ADD has not yet been put into the code.
Comment 5 Winfried Donkers 2012-07-11 15:05:43 UTC
Created attachment 64113 [details]
patch sofar, not ready to be committed

The diff file still contained one error, this diff file builds.
Comment 6 Eike Rathke 2012-07-12 14:37:55 UTC
Comment on attachment 64113 [details]
patch sofar, not ready to be committed

Review of attachment 64113 [details]:
-----------------------------------------------------------------

::: formula/inc/formula/compiler.hrc
@@ +356,4 @@
>  #define SC_OPCODE_TABLE_OP          362
>  #define SC_OPCODE_BETA_DIST         363
>  #define SC_OPCODE_BETA_INV          364
> +#define SC_OPCODE_WEEKNUM           365     /* miscellaneous */

As WEEKNUM is no internal function anymore remove the opcode definition here.

::: formula/source/core/resource/core_resource.src
@@ +317,4 @@
>      String SC_OPCODE_TABLE_OP { Text = "MULTIPLE.OPERATIONS" ; };
>      String SC_OPCODE_BETA_DIST { Text = "BETADIST" ; };
>      String SC_OPCODE_BETA_INV { Text = "BETAINV" ; };
> +    String SC_OPCODE_WEEKNUM { Text = "WEEKNUM" ; };

This does not work, the internal WEEKNUM function is removed in favor of the Add-In function, but defining WEEKNUM here as internal will not look for the Add-In anymore during compile.

@@ +651,4 @@
>      String SC_OPCODE_TABLE_OP { Text = "TABLE" ; };
>      String SC_OPCODE_BETA_DIST { Text = "BETADIST" ; };
>      String SC_OPCODE_BETA_INV { Text = "BETAINV" ; };
> +    String SC_OPCODE_WEEKNUM { Text = "WEEKNUM" ; };

This does not work, the internal WEEKNUM function is removed in favor of the Add-In function, but defining WEEKNUM here as internal will not look for the Add-In anymore during compile.

@@ +1800,2 @@
>      {
>          Text [ en-US ] = "WEEKNUM" ;

This does not work, the internal WEEKNUM function is removed in favor of the Add-In function, but defining WEEKNUM here as internal will not look for the Add-In anymore during compile.

::: sc/qa/unit/ucalc.cxx
@@ +3354,5 @@
>          "TIMEVALUE",
>          "TODAY",
>          "WEEKDAY",
> +//50950 temporary measure
> +//        "WEEKNUM",

Yes, this needs to be removed.

::: sc/source/core/tool/odffmap.cxx
@@ +35,4 @@
>      { "WORKDAY", "WORKDAY", false, "com.sun.star.sheet.addin.Analysis.getWorkday", "COM.SUN.STAR.SHEET.ADDIN.ANALYSIS.GETWORKDAY" },
>      { "YEARFRAC", "YEARFRAC", false, "com.sun.star.sheet.addin.Analysis.getYearfrac", "COM.SUN.STAR.SHEET.ADDIN.ANALYSIS.GETYEARFRAC" },
>      { "EDATE", "EDATE", false, "com.sun.star.sheet.addin.Analysis.getEdate", "COM.SUN.STAR.SHEET.ADDIN.ANALYSIS.GETEDATE" },
> +    { "WEEKNUM", "WEEKNUM", false, "com.sun.star.sheet.addin.Analysis.getWeeknum", "COM.SUN.STAR.SHEET.ADDIN.ANALYSIS.GETWEEKNUM" },

Note: renaming WEEKNUM_ADD to WEEKNUM also needs to unset the bDouble flag in the function's data to not have the "_ADD" appended anymore. So in
scaddins/source/analysis/analysishelper.cxx
const FuncDataBase pFuncDatas[]
for Weeknum change DOUBLE to UNIQUE

::: sc/source/filter/oox/formulabase.cxx
@@ +666,4 @@
>      { "COUNTBLANK",             "COUNTBLANK",           347,    347,    1,  1,  V, { RO }, 0 },
>      { "ISPMT",                  "ISPMT",                350,    350,    4,  4,  V, { VR }, 0 },
>      { "DATEDIF",                "DATEDIF",              351,    351,    3,  3,  V, { VR }, 0 },
> +    { "ISOWEEKNUM",             "ISOWEEKNUM",           355,    355,    1,  1,  V, { VR }, 0 },

Excel doesn't know ISOWEEKNUM, inventing it here does not help ;-)

::: sc/source/ui/src/scfuncs.src
@@ +1023,4 @@
>      {
>          String 1 // Description
>          {
> +            Text [ en-US ] = "Calculates the ISO8601 calender week for the given date: first day of week is Monday and week 1 is the week where the first Thursday of the year occurs)." ;

Just nitpicking: it's ISO 8601 instead of ISO8601

::: scaddins/source/analysis/analysis.cxx
@@ +592,1 @@
>  sal_Int32 SAL_CALL AnalysisAddIn::getWeeknum( constREFXPS& xOpt, sal_Int32 nDate, sal_Int32 nMode ) THROWDEF_RTE_IAE

As nMode will be optional it now needs to be  const ANY& rMode

To evaluate the ANY that then should be

sal_Int32 nMode = aAnyConv.getInt32( xOpt, rMode, 1 );

@@ +623,5 @@
> +            break;
> +        default :
> +            //QUESTION: what happens if the optional argument nMode is not entered by user?
> +            //incorrect argument; we should cope with that properly; right now we'll just return -1
> +            return -1;

ODFF defines the default of mode if omitted to 1 (see also the ANY evaluation in previous annotation), any value not defined in ODFF should result in an error, i.e. throw lang::IllegalArgumentException()

::: scaddins/source/analysis/analysis.src
@@ +146,2 @@
>          {
> +            Text [ en-US ] = "Indicates the first day of the week (1, 11=Sunday, 2, 12=Monday, 13-17=Tuesday-Saturday. 21 or 150 calculate according to ISO8601)." ;

Nitpick: ISO 8601
Comment 7 Winfried Donkers 2012-07-16 15:43:06 UTC
Created attachment 64281 [details]
patch sofar, not ready to be committed

I corrected as in review of previous attachment; all works fine now, so that I now will be starting on the work to properly interpret old-style documents.
Comment 8 Winfried Donkers 2012-10-05 10:28:07 UTC
submitted patch via dev list.

Bacwards compatibility (reading documents with the old-style functions) is still to be fixed, But I don't know where to put code for that.
Comment 9 Winfried Donkers 2012-11-20 12:27:57 UTC
Created attachment 70309 [details]
patch sofar, not intended for submitting

Eike's review of Nov 16 processed, except for the ODF 1.0/1.1 - 1.2 interoperability.
Comment 10 Winfried Donkers 2013-01-16 08:51:17 UTC
Status is not 'assigned' as the last work on the patch (interoperability with older version) is beyond my possiblities.
Either someone else could finish the patch or someone must give ample code pointers and hints so that I can add the needed code.
Comment 11 Alex Thurgood 2015-01-03 17:39:32 UTC
Adding self to CC if not already on
Comment 12 Commit Notification 2015-10-06 21:22:26 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f830600ece806ec365a4839e79afabe183c5e36d

tdf#50950 Add ODFF1.2 Calc function ISOWEEKNUM,

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-10-07 13:45:36 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74010f1c502a4bd7eb1ef3ee3d0e8c45a1c9afee

rename WEEKNUM_ADD to WEEKNUM_EXCEL2003 in UI, tdf#50950 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-01-04 15:01:47 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c5eb11d42ccdacdaf29e0b8f26c4f674069f227

WEEKNUM second parameter is optional defaulting to 1, tdf#50950 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2016-01-04 15:01:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68098cf1551d0b27cb723c927b5fd3bc2ba9b3ac

correct ISOWEEKNUM resource ExtraData parameter flags, tdf#50950 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2016-01-04 16:01:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b4e3bb593de910463f873c46b1ff212e43ba0993&h=libreoffice-5-1

WEEKNUM second parameter is optional defaulting to 1, tdf#50950 follow-up

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2016-01-04 16:01:48 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66ac110b27063d496da77a424eff9c81832fb75b&h=libreoffice-5-1

correct ISOWEEKNUM resource ExtraData parameter flags, tdf#50950 follow-up

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2016-01-04 16:44:53 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ea839ae3904d96dcea35a0339f3e6ee7d58bbaa

correct WEEKNUM DayOfWeek handling, tdf#50950 follow-up, tdf#95419 related

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2016-01-04 17:18:48 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dee3bcdb9e91f338b66872ae939bf790ab7bf061&h=libreoffice-5-1

correct WEEKNUM DayOfWeek handling, tdf#50950 follow-up, tdf#95419 related

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2016-01-05 11:12:14 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f79244cb3fcc4cbfd2b818380ea9d62b49aaade

tdf#96198 detect old ISO/WEEKNUM usage with two arguments, tdf#50950 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2016-01-05 13:27:43 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1efc41a87e2b9491b2a7471b1154a4d586a21c37

tdf#96198 adapt unit test to reality, tdf#50950 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2016-01-05 13:51:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e5deb8ccfaf0b73fb6cf394822e560dc036a686&h=libreoffice-5-1

tdf#96198 detect old ISO/WEEKNUM usage with two arguments, tdf#50950 follow-up

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2016-01-05 13:51:48 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63931f25785e25368ee808f4e0e269f91c99d0e6&h=libreoffice-5-1

tdf#96198 adapt unit test to reality, tdf#50950 follow-up

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2016-01-05 18:31:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=902c593196741ffec2d096855369313f6bbe756e

tdf#96198 add WEEKNUM_OOO compatibility function, tdf#50950 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-01-05 19:58:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efeef720de31fe0fab9013f954eac63fe49fa59d&h=libreoffice-5-1

tdf#96198 add WEEKNUM_OOO compatibility function, tdf#50950 follow-up

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2016-01-07 18:39:15 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7994b77819a5de7a6da46ab01386883559e7a7d1

tdf#96198 postpone conversion from WEEKNUM to ISOWEEKNUM, tdf#50950 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2016-01-08 12:35:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d877037bbf97aafed9d355a93dd3e915d80e74b&h=libreoffice-5-1

tdf#96198 postpone conversion from WEEKNUM to ISOWEEKNUM, tdf#50950 follow-up

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2016-01-18 21:46:31 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3665652285f29021f4a12cc493fe8791b6afc126&h=libreoffice-5-0

tdf#96198 accept WEEKNUM with only one parameter, tdf#50950 follow-up

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.